ホーム > 未分類 > retrospectivaが動かなくなる

retrospectivaが動かなくなる

retrospectivaというプロジェクト管理ツールをちょこっと使っているのですが、ある日開いてみるとエラーでアクセスできない。
最近railsをupdateしていたことが原因と判明。対策をとりました。

config/environment.rbを参照してみると、

Retrospectiva depends on RubyOnRails version 1.2.x.

との記載が。さらにRAILS_GEM_VERSIONの設定が見当たらない。
同ファイルに指示がありますが、freezeタスクを実行してrailsのバージョンを固定します。

retrospectivaのルートディレクトリに移動して、

> rake rails:freeze:edge TAG=rel_1-2-6

でOK。(svn使っているようですね。)

無事動くようになりました。

カテゴリー: 未分類 タグ: ,
  1. コメントはまだありません。
  1. トラックバックはまだありません。